BYTES-CIRCLE(1)

NAME
bytes-circle - Show byte statistics as an ASCII circle graph

SYNOPSIS
bytes-circle [-o {0|1|2|3}] [-bBglLZnruvh] [-[fsStT] #] [-z {0-255}] files...

DESCRIPTION
bytes-circle is a program that shows statistics about bytes contained in a file, as an ASCII circle graph of deviations from mean in standard deviation (sigma) fraction increments. By default, byte 0 is at the center of the circle and next bytes until 256 are situated counterclockwise around the center. bytes-circle expects a colour terminal, though other options are available. The ASCII art produced uses this char array to represent increment values of 1/4*sigma from the statistic's mean:
   . , - ~ + * o O # @ This ranges from zero (.) on the left, to 9/4*sigma (@) on the right. If value is zero or over the mean the char is printed green. If it is below the mean, it's printed red. A (blue) '=' char represents a byte value that doesn't appear in the file.

OPTIONS

files
    One or more files. If no file is indicated, standard input is used.

-o {0|1|2|3}
    0=default | 1=no color | 2=numbers | 3=uncoloured numbers

-b  No color (Black & white). In this case, ASCII art is adjusted so the zero sigma is at the middle of the chars array (char '*'). Increments are 1/2*sigma.

-B  ('Break') stop processing files on first error encountered.

-g  ('Global') show summary values for file, when using `-[sS]`.

-l  List number of bytes counted, from 0 to 255.

-L  List number of bytes counted, excluding zero valued.

-Z  List number of bytes counted, but only zero valued.

-n  Use Numbers. In this case, coloured numbers are used to represent values from 0 to 9/4*sigma.

-r  Restrict statistics to the byte values that appear in the file, not to the 256 default. This only makes a difference if there are byte values that do not appear in the file.

-u  Use Uncoloured numbers (equivalent to `-b -n`). In this case, numbers are used to represent positive deviations from 0 to 9/4*sigma, and letters are used to represent negative deviations from 'a' (-0) to 'i' (-9/4)*sigma.

-v  Show program version and list chars used in coloured circle.

-h  Show summary of options.

-f #
    ('From') analyze file from # byte on (1 implicit). SI suffixes supported.

-s #
    Slice file in slices of size # bytes. SI suffixes supported.

-S #
    Slice file in # slices. SI suffixes supported.

-t #
    ('To') analyze file until # byte. SI suffixes supported.

-T #
    ('To') analyze this # bytes from `-f`. SI suffixes supported.

-z {0-255}
    Show a second circle centered on indicated byte bucket. A zero value is equivalent to 127 for ease of use. This way a second view of the statistics is available for data disaggregation.

Note about SI suffixes: use one of kmgtpe (powers of 10), KMGTPE (powers of 2), and prefixes '0x' (hexadecimal number) and '0' (octal number).

AUTHOR
This program was written by Roberto S. Galende <roberto.s.galende@gmail.com> and is copyrighted under the GPL, version 3 or later.